count: 2
next: null
previous: null
results:
- authors:
  - Voros J.
  - Wassens S.
  - Price L.
  - Hunter D.
  - Myers S.
  - Armstrong K.
  - Mahony M.J.
  - Donnellan S.
  doi: ''
  expert_db: false
  pub_id: '1283442'
  publication: Zootaxa 5228(1):1-43(2023).
  pubmed_id: ''
  title: 'Molecular systematic analysis demonstrates that the threatened southern
    bell frog, Litoria raniformis (Anura: Pelodryadidae) of eastern Australia, comprises
    two sub-species'
- authors:
  - Voros J.
  - Wassens S.
  - Price L.
  - Hunter D.
  - Myers S.
  - Armstrong K.
  - Mahony M.J.
  - Donnellan S.C.
  doi: ''
  expert_db: false
  pub_id: '1281806'
  publication: Submitted (02-OCT-2022) to the INSDC. Research and Collections, South
    Australian Museum, North Terrace, Adelaide, SA 5000, Australia
  pubmed_id: ''
  title: INSDC submission
